#
# spec file for package tree-sitter-bicep
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name bicep
Name:           tree-sitter-bicep
Version:        1.1.0
Release:        1.3
Summary:        Bicep grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-bicep
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Tue Dec 31 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.1.0:
  * fix: support as in import with statements
  * feat: add using statements
  * feat: add user defined functions
  * feat: add test blocks
  * feat: add assert statements
  * refactor: move asterisk fields and multiline string contents
  * refactor: rework types
  * chore: update tests
  * chore: update queries
  * chore: update script and known failures
  * chore: generate
  * fix: update build manifests
  * chore: update queries
  * fix(grammar): adapt to upstream regex change
  * build: update bindings
  * chore: generate
- remove fix-regex.patch, as upstream included the fix
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
